%define anolis_release 1
%define debug_package %{nil}

%global pypi_name platformdirs
%global pypi_version 2.5.2

Name:           python-platformdirs
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".
License:        MIT License
URL:            https://pypi.org/project/platformdirs/
Source0:        https://files.pythonhosted.org/packages/ff/7b/3613df51e6afbf2306fc2465671c03390229b55e3ef3ab9dd3f846a53be6/platformdirs-2.5.2.tar.gz

BuildRequires:  gcc cmake
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-srpm-macros
BuildRequires:  python3-wheel
BuildRequires:  python3-packaging
BuildArch:      noarch

%description
Python module for determining appropriate platform-specific dirs


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{description}
%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -r -i '/^[[:blank:]]*"pytest-cov\b/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/platformdirs-%{version}.dist-info/licenses/LICENSE.txt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt


%files -n python3-%{pypi_name}-doc
%doc README.rst docs/changelog.rst


%changelog
* Tue Jul 05 2022 happy_orange <songnannan@linux.alibaba.com> - 2.5.2-1
- init package from upstream
